# Uses of Interface
org.eclipse.ecf.remoteservice.client.IRemoteCallableRequestType

Packages that use IRemoteCallableRequestType
Package
Description
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.rest.client

## Uses of IRemoteCallableRequestType in org.eclipse.ecf.remoteservice.client

Fields in org.eclipse.ecf.remoteservice.client declared as IRemoteCallableRequestType
Modifier and Type
Field
Description
`protected IRemoteCallableRequestType`
RemoteCallable.`requestType`
Methods in org.eclipse.ecf.remoteservice.client that return IRemoteCallableRequestType
Modifier and Type
Method
Description
`IRemoteCallableRequestType`
IRemoteCallable.`getRequestType()`
Get request type associated with this remote callable.
`IRemoteCallableRequestType`
RemoteCallable.`getRequestType()`
Methods in org.eclipse.ecf.remoteservice.client with parameters of type IRemoteCallableRequestType
Modifier and Type
Method
Description
`static IRemoteCallable`
RemoteCallableFactory.`createCallable(String method, String resourcePath, IRemoteCallableRequestType requestType)`
`static IRemoteCallable`
RemoteCallableFactory.`createCallable(String method, String resourcePath, IRemoteCallableRequestType requestType, long timeout)`
`static IRemoteCallable`
RemoteCallableFactory.`createCallable(String method, String resourcePath, IRemoteCallParameter[] defaultParameters, IRemoteCallableRequestType requestType)`
`static IRemoteCallable`
RemoteCallableFactory.`createCallable(String method, String resourcePath, IRemoteCallParameter[] defaultParameters, IRemoteCallableRequestType requestType, long defaultTimeout)`
`RemoteCallable.Builder`
RemoteCallable.Builder.`setRequestType(IRemoteCallableRequestType requestType)`
Constructors in org.eclipse.ecf.remoteservice.client with parameters of type IRemoteCallableRequestType
Modifier
Constructor
Description
``
`RemoteCallable(String method, String resourcePath, IRemoteCallParameter[] defaultParameters, IRemoteCallableRequestType requestType)`
``
`RemoteCallable(String method, String resourcePath, IRemoteCallParameter[] defaultParameters, IRemoteCallableRequestType requestType, long defaultTimeout)`

## Uses of IRemoteCallableRequestType in org.eclipse.ecf.remoteservice.rest.client

Classes in org.eclipse.ecf.remoteservice.rest.client that implement IRemoteCallableRequestType
Modifier and Type
Class
Description
`class`
`AbstractEntityRequestType`
`class`
`AbstractRequestType`
`class`
`HttpDeleteRequestType`
`class`
`HttpGetRequestType`
`class`
`HttpPatchRequestType`
`class`
`HttpPostRequestType`
`class`
`HttpPutRequestType`